﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApp2_pizza.VM;

namespace WpfApp2_pizza
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm;
        public MainWindow()
        {
            InitializeComponent();
            vm = FindResource("VM") as ViewModel;
        }

        private void ShowPriceClick(object sender, RoutedEventArgs e)
        {
            MessageBox.Show(vm.OnePizza.TotalPrice.ToString());
        }

        private void ChangeVMClick(object sender, RoutedEventArgs e)
        {
            vm.AllSizes[1].Name += " X";
            vm.AllSizes.Add(new PizzaExtraVM("55cm", 5500, false));
            vm.OnePizza.Toppings.Add(new PizzaExtraVM("Egg", 50, true));
        }

        private void SelectAllClick(object sender, RoutedEventArgs e)
        {
            vm.OnePizza.Toppings.ToList().ForEach(item => item.IsWanted = true);
        }

        private void SaveClick(object sender, RoutedEventArgs e)
        {
            vm.AllPizzas.Add(vm.OnePizza.Clone());
        }
    }
}
